/**
 * array2StyleString
 * [] => null
 * ["color:red", "font-size:10px"] => "color:red;font-size:10px;"
 * ["color:red;", "font-size:10px;"] => "color:red;font-size:10px;"
 * [["color", "red"],["font-size", "10px"]] => "color:red;font-size:10px;"
 * [["color", "red"],["font-size", 10]] => "color:red;font-size:10px;"
 * [["color", "red", false],["font-size", 10, false]] => null
 * [["color", "red", true],["font-size", 10, true]] => "color:red;font-size:10px;"
 * [["color", undefined],["font-size", 10]] => "font-size:10px;"
 * [["color", null],["font-size", 10]] => "font-size:10px;"
 * [["color", ""],["font-size", 10]] => "font-size:10px;"
 * [["font-size", 0]] => "font-size:0;"
 * [["color", ""],["z-index", 10]] => "z-index:10;"
 *
 * @param input
 */
export default function array2StyleString(input: (string | string[] | [string, number] | [string, null] | [string, undefined] | [string, string, boolean] | [string, number, boolean] | [string, []])[]): string | null;
